Subject: bug#40997: closed (Re: bug#40997: [raid] The bootloader can only be installed to a single drive)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Aug 2021 05:20:02 +0000

Your bug report

#40997: [raid] The bootloader can only be installed to a single drive

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40997: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40997
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40997: [raid] The bootloader can only be installed to a single drive
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Sun, 29 Aug 2021 01:19:26 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> [email-masked] writes:
>
>> Using Guix System, the bootloader declaration doesn't currently seem to
>> support being installed to multiple drives:
>>
>> (bootloader (bootloader-configuration
>>                  (bootloader grub-bootloader)
>>                  (target "/dev/sda")
>>                  (terminal-outputs '(console))))
>>  --8<---------------cut here---------------end--------------->8---
>>
>> I suggest to change it so that target can be passed a list like
>>
>> (bootloader (bootloader-configuration
>>                  (bootloader grub-bootloader)
>>                  (target '("/dev/sda" "/dev/sdb"))
>>                  (terminal-outputs '(console))))
>>  --8<---------------cut here---------------end--------------->8---
>>
>> This is useful when trying to boot a degraded RAID array.
>
> The following patches do exactly this (target becomes the plural
> targets).  I tested it on my system, disconnecting the first drive of my
> RAID1 array, and could at least boot to GRUB fine (although full boot
> failed due to https://issues.guix.gnu.org/40999).
>
> Booting a VM using an image generated from the bare-bones.tmpl template
> also worked fine.

Pushed with commit 2ca982ff41270288913ad6b7d5d9e1cad87b06d9.

Closing!

Maxim

Subject: [raid] The bootloader can only be installed to a single drive
From: [email-masked]
To: bug-guix <[email-masked]>
Date: Fri, 01 May 2020 09:45:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Using Guix System, the bootloader declaration doesn't currently seem to
support being installed to multiple drives:

--8<---------------cut here---------------start------------->8---
(bootloader (bootloader-configuration
                 (bootloader grub-bootloader)
                 (target "/dev/sda")
                 (terminal-outputs '(console))))
 --8<---------------cut here---------------end--------------->8---

I suggest to change it so that target can be passed a list like
--8<---------------cut here---------------start------------->8---
(bootloader (bootloader-configuration
                 (bootloader grub-bootloader)
                 (target '("/dev/sda" "/dev/sdb"))
                 (terminal-outputs '(console))))
 --8<---------------cut here---------------end--------------->8---

This is useful when trying to boot a degraded RAID array.

Maxim